<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TRegularDay StructType
 * @subpackage Structs
 */
class TRegularDay extends AbstractStructBase
{
    /**
     * The RglDayId
     * @var int
     */
    public $RglDayId;
    /**
     * The RglDayName
     * @var string
     */
    public $RglDayName;
    /**
     * The RglDayOpeningHour
     * @var string
     */
    public $RglDayOpeningHour;
    /**
     * The RglDayClosingHour
     * @var string
     */
    public $RglDayClosingHour;
    /**
     * The RglIsFreeDay
     * @var int
     */
    public $RglIsFreeDay;
    /**
     * Constructor method for TRegularDay
     * @uses TRegularDay::setRglDayId()
     * @uses TRegularDay::setRglDayName()
     * @uses TRegularDay::setRglDayOpeningHour()
     * @uses TRegularDay::setRglDayClosingHour()
     * @uses TRegularDay::setRglIsFreeDay()
     * @param int $rglDayId
     * @param string $rglDayName
     * @param string $rglDayOpeningHour
     * @param string $rglDayClosingHour
     * @param int $rglIsFreeDay
     */
    public function __construct($rglDayId = null, $rglDayName = null, $rglDayOpeningHour = null, $rglDayClosingHour = null, $rglIsFreeDay = null)
    {
        $this
            ->setRglDayId($rglDayId)
            ->setRglDayName($rglDayName)
            ->setRglDayOpeningHour($rglDayOpeningHour)
            ->setRglDayClosingHour($rglDayClosingHour)
            ->setRglIsFreeDay($rglIsFreeDay);
    }
    /**
     * Get RglDayId value
     * @return int|null
     */
    public function getRglDayId()
    {
        return $this->RglDayId;
    }
    /**
     * Set RglDayId value
     * @param int $rglDayId
     * @return \StructType\TRegularDay
     */
    public function setRglDayId($rglDayId = null)
    {
        // validation for constraint: int
        if (!is_null($rglDayId) && !is_numeric($rglDayId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($rglDayId)), __LINE__);
        }
        $this->RglDayId = $rglDayId;
        return $this;
    }
    /**
     * Get RglDayName value
     * @return string|null
     */
    public function getRglDayName()
    {
        return $this->RglDayName;
    }
    /**
     * Set RglDayName value
     * @param string $rglDayName
     * @return \StructType\TRegularDay
     */
    public function setRglDayName($rglDayName = null)
    {
        // validation for constraint: string
        if (!is_null($rglDayName) && !is_string($rglDayName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($rglDayName)), __LINE__);
        }
        $this->RglDayName = $rglDayName;
        return $this;
    }
    /**
     * Get RglDayOpeningHour value
     * @return string|null
     */
    public function getRglDayOpeningHour()
    {
        return $this->RglDayOpeningHour;
    }
    /**
     * Set RglDayOpeningHour value
     * @param string $rglDayOpeningHour
     * @return \StructType\TRegularDay
     */
    public function setRglDayOpeningHour($rglDayOpeningHour = null)
    {
        // validation for constraint: string
        if (!is_null($rglDayOpeningHour) && !is_string($rglDayOpeningHour)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($rglDayOpeningHour)), __LINE__);
        }
        $this->RglDayOpeningHour = $rglDayOpeningHour;
        return $this;
    }
    /**
     * Get RglDayClosingHour value
     * @return string|null
     */
    public function getRglDayClosingHour()
    {
        return $this->RglDayClosingHour;
    }
    /**
     * Set RglDayClosingHour value
     * @param string $rglDayClosingHour
     * @return \StructType\TRegularDay
     */
    public function setRglDayClosingHour($rglDayClosingHour = null)
    {
        // validation for constraint: string
        if (!is_null($rglDayClosingHour) && !is_string($rglDayClosingHour)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($rglDayClosingHour)), __LINE__);
        }
        $this->RglDayClosingHour = $rglDayClosingHour;
        return $this;
    }
    /**
     * Get RglIsFreeDay value
     * @return int|null
     */
    public function getRglIsFreeDay()
    {
        return $this->RglIsFreeDay;
    }
    /**
     * Set RglIsFreeDay value
     * @param int $rglIsFreeDay
     * @return \StructType\TRegularDay
     */
    public function setRglIsFreeDay($rglIsFreeDay = null)
    {
        // validation for constraint: int
        if (!is_null($rglIsFreeDay) && !is_numeric($rglIsFreeDay)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($rglIsFreeDay)), __LINE__);
        }
        $this->RglIsFreeDay = $rglIsFreeDay;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\TRegularDay
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
