<?php
/**
 * This file aims to show you how to use this generated package.
 * In addition, the goal is to show which methods are available and the fist needed parameter(s)
 * You have to use an associative array such as:
 * - the key must be a constant beginning with WSDL_ from AbstractSoapClientbase class each generated ServiceType class extends this class
 * - the value must be the corresponding key value (each option matches a {@link http://www.php.net/manual/en/soapclient.soapclient.php} option)
 * $options = array(
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'http://climan.3dsoft.fr/MPSrv/MPSRVDMS-V_2-0-0-2.exe/wsdl/IWSDialog',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_TRACE => true,
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_LOGIN => 'you_secret_login',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_PASSWORD => 'you_secret_password',
 * );
 * etc....
 */
require_once __DIR__ . '/vendor/autoload.php';
/**
 * Minimal options
 */
$options = array(
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'http://climan.3dsoft.fr/MPSrv/MPSRVDMS-V_2-0-0-2.exe/wsdl/IWSDialog',
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_CLASSMAP => ClassMap::get(),
);
/**
 * Samples for Set ServiceType
 */
$set = new \ServiceType\Set($options);
/**
 * Sample call for setAction operation/method
 */
if ($set->setAction($EntId, $EntKey, $DMSId, $CategoryActionId, $CategoryActionCode, $GroupActionId, $ActionId, $ActionCode, $ActionName, $ActionCodeDMS, $ActionDuration, $ActionCostWkForce, $ActionWkForceInvoice, $ActionCostPiece, $ActionOtherCost, $ActionOtherInvoice, $CodeLanguage, $ProviderName) !== false) {
    print_r($set->getResult());
} else {
    print_r($set->getLastError());
}
/**
 * Sample call for setClient operation/method
 */
if ($set->setClient($EntId, $EntKey, $DMSId, $CliDMSId, $CliTitle, $CliFamName, $CliFirName, $CliAddr1, $CliAddr2, $CliPC, $CliCity, $CliHomePhone, $CliCellPhone, $CliWorkPhone, $CliFax, $CliEmail, $CliAccountType, $CliState, $CliCountry, $CliTags, $CliDoNotText, $CliDoNotEmail, $CliDoNotPhone, $CliCashPayment, $CliLocked, $CliLanguage, $CliActive, $ProviderName, $ProviderCliId, $CliId) !== false) {
    print_r($set->getResult());
} else {
    print_r($set->getLastError());
}
/**
 * Sample call for setContact operation/method
 */
if ($set->setContact($EntId, $EntKey, $DMSId, $CliDMSId, $ContactTitle, $ContactFamName, $ContactFirName, $ContactAddr1, $ContactAddr2, $ContactPC, $ContactCity, $ContactHomePhone, $ContactCellPhone, $ContactWorkPhone, $ContactFax, $ContactEmail, $ContactAccountType, $ContactState, $ContactCountry, $ContactTags, $ContactDoNotText, $ContactDoNotEmail, $ContactDoNotPhone, $ContactCashPayment, $ContactLocked, $ContactLanguage, $ContactActive, $ProviderName, $ProviderContactCliId, $ProviderCliId, $CliId, $ContactCliId) !== false) {
    print_r($set->getResult());
} else {
    print_r($set->getLastError());
}
/**
 * Sample call for setVehicle operation/method
 */
if ($set->setVehicle($EntId, $EntKey, $DMSId, $CliDMSId, $VehVIN, $VehRegNum, $VehMake, $VehModel, $VehType, $VehKm, $VehPower, $VehTaxPower, $VehSeats, $VehRegDate, $VehYear, $VehColor, $VehPaint, $VehUsedCarNum, $VehEngineNum, $VehState, $VehFuelLevel, $VehModelCode, $VehNoStock, $VehAdvisor, $VehTags, $VehActive, $ProviderName, $ProviderCliId, $ProviderVehId, $CliId, $VehId) !== false) {
    print_r($set->getResult());
} else {
    print_r($set->getLastError());
}
/**
 * Sample call for setRdv operation/method
 */
if ($set->setRdv($EntId, $EntKey, $RdvId, $RdvRONum, $DMSId, $SiteCode, $ReceiverCode, $WorkshopCode, $CliDMSId, $VehVIN, $VehRegNum, $RdvType, $RdvDuration, $RdvState, $RdvPartsState, $RdvStart, $RdvFinish, $RdvReceivingComment, $RdvWorkshopComment, $RdvPartsComment, $RdvLoaner, $RdvSoldHours, $RdvWorkHours, $RdvSaleTotal, $RdvTicketNum, $WorkLineList, $ProviderName, $ProviderCliId, $ProviderVehId, $ProviderRdvId, $RdvBookedOnline, $VehId, $SendEmail, $SendSms, $SiteId, $WorkShopId, $RdvCliWaits, $RdvActive, $RdvNoShowCustomer, $RdvMovementsComment, $VehStockNum, $RdvStoppedVehicle, $RdvStoppedIndicatorId, $ReceiverId, $ContactCliId) !== false) {
    print_r($set->getResult());
} else {
    print_r($set->getLastError());
}
/**
 * Sample call for setStaffCalendar operation/method
 */
if ($set->setStaffCalendar($EntId, $EntKey, $DMSId, $SiteId, $SiteCode, $MemId, $MemCode, $AbsenceId, $DateBegin, $DateEnd, $ProviderName) !== false) {
    print_r($set->getResult());
} else {
    print_r($set->getLastError());
}
/**
 * Samples for Search ServiceType
 */
$search = new \ServiceType\Search($options);
/**
 * Sample call for searchClient operation/method
 */
if ($search->searchClient($EntId, $EntKey, $DMSId, $CliName, $CliDMSId, $VehRegNum, $VehVIN, $CliTel, $CliEmail, $ProviderName, $DisplayVehicles, $SearchOnlyByPhone) !== false) {
    print_r($search->getResult());
} else {
    print_r($search->getLastError());
}
/**
 * Samples for Get ServiceType
 */
$get = new \ServiceType\Get($options);
/**
 * Sample call for getCurrentTicket operation/method
 */
if ($get->getCurrentTicket($EntId, $EntKey, $DMSId, $ProviderName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getUpdatedData operation/method
 */
if ($get->getUpdatedData($EntId, $EntKey, $DMSId, $DMSTicket, $ProviderName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getWorkFilesByTicket operation/method
 */
if ($get->getWorkFilesByTicket($EntId, $EntKey, $DMSId, $DMSTicket, $ProviderName, $DisplayUpsellStatusList, $DisplayStatusList, $DisplayWarningList, $DisplayStoppedIndicatorList, $DisplayAllUsersUpdates) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getWorkFilesByDate operation/method
 */
if ($get->getWorkFilesByDate($EntId, $EntKey, $DMSId, $DateBegin, $DateEnd, $ProviderName, $DisplayUpsellStatusList, $DisplayStatusList, $DisplayWarningList, $DisplayStoppedIndicatorList, $DisplayStoppedVehicles) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getWorkFilesByStatusChange operation/method
 */
if ($get->getWorkFilesByStatusChange($EntId, $EntKey, $DMSId, $DateBegin, $DateEnd, $ProviderName, $DisplayUpsellStatusList, $DisplayStatusList, $DisplayWarningList, $DisplayStoppedIndicatorList) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getWorkFilesByClient operation/method
 */
if ($get->getWorkFilesByClient($EntId, $EntKey, $DMSId, $CliId, $CliName, $CliDMSId, $VehRegNum, $VehVIN, $CliTel, $CliEmail, $ProviderName, $ProviderCliId, $DisplayUpsellStatusList, $DisplayStatusList, $DisplayWarningList, $DisplayStoppedIndicatorList) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getWorkFilesByVehicle operation/method
 */
if ($get->getWorkFilesByVehicle($EntId, $EntKey, $DMSId, $VehRegNum, $VehVIN, $VehStockNum, $ProviderVehId, $VehId, $ProviderName, $CliId, $CliDMSId, $ProviderCliId, $DisplayUpsellStatusList, $DisplayStatusList, $DisplayWarningList, $DisplayStoppedIndicatorList) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getWorkFile operation/method
 */
if ($get->getWorkFile($EntId, $EntKey, $DMSId, $RdvId, $CliId, $VehId, $RdvRONum, $RdvTicket, $ProviderName, $ProviderCliId, $ProviderVehId, $ProviderRdvId, $DisplayUpsellStatusList, $DisplayStatusList, $DisplayWarningList, $DisplayStoppedIndicatorList) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getWorkshopLoad operation/method
 */
if ($get->getWorkshopLoad($EntId, $EntKey, $DMSId, $SiteCode, $DateBegin, $DateEnd, $WorkShopCode, $SiteId, $WorkShopId, $ProviderName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReceptionAvailability operation/method
 */
if ($get->getReceptionAvailability($EntId, $EntKey, $DMSId, $SiteCode, $DateBegin, $DateEnd, $WorkShopCode, $SiteId, $WorkshopId, $ReceiverCode, $RecId, $DisplayDetailed, $ProviderName, $DisplayWithAppt) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getSiteList operation/method
 */
if ($get->getSiteList($EntId, $EntKey, $DMSId, $ProviderName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getWorkshopList operation/method
 */
if ($get->getWorkshopList($EntId, $EntKey, $DMSId, $SiteId, $SiteCode, $ProviderName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReceivingList operation/method
 */
if ($get->getReceivingList($EntId, $EntKey, $DMSId, $SiteId, $SiteCode, $ProviderName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getStatusList operation/method
 */
if ($get->getStatusList($EntId, $EntKey, $DMSId, $CodeLanguage, $SiteId, $SiteCode, $ProviderName, $WorkFileTypeId) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getUpsellStatusList operation/method
 */
if ($get->getUpsellStatusList($EntId, $EntKey, $DMSId, $CodeLanguage, $SiteId, $SiteCode, $ProviderName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getWarningList operation/method
 */
if ($get->getWarningList($EntId, $EntKey, $DMSId, $CodeLanguage, $ProviderName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getActionList operation/method
 */
if ($get->getActionList($EntId, $EntKey, $DMSId, $CodeLanguage, $GroupActionId, $ProviderName, $VehicleBrand, $VehicleModel, $SiteId, $SiteCode) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getGroupActionList operation/method
 */
if ($get->getGroupActionList($EntId, $EntKey, $DMSId, $CodeLanguage, $ProviderName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCategoryActionList operation/method
 */
if ($get->getCategoryActionList($EntId, $EntKey, $DMSId, $CodeLanguage, $ProviderName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getStoppedIndicatorList operation/method
 */
if ($get->getStoppedIndicatorList($EntId, $EntKey, $DMSId, $CodeLanguage, $ProviderName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getClientList operation/method
 */
if ($get->getClientList($EntId, $EntKey, $DMSId, $DateBegin, $DateEnd, $ProviderName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getVehicleList operation/method
 */
if ($get->getVehicleList($EntId, $EntKey, $DMSId, $DateBegin, $DateEnd, $ProviderName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getAbsenceList operation/method
 */
if ($get->getAbsenceList($EntId, $EntKey, $DMSId, $CodeLanguage, $ProviderName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getStaffCalendar operation/method
 */
if ($get->getStaffCalendar($EntId, $EntKey, $DMSId, $SiteId, $SiteCode, $MemId, $MemCode, $DateBegin, $DateEnd, $ProviderName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getContactList operation/method
 */
if ($get->getContactList($EntId, $EntKey, $DMSId, $CliDMSId, $CliLanguage, $ProviderName, $ProviderCliId, $CliId) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getRegularWeek operation/method
 */
if ($get->getRegularWeek($EntId, $EntKey, $DMSId, $SiteId, $SiteCode, $CodeLanguage, $ProviderName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getWorkFileTypeList operation/method
 */
if ($get->getWorkFileTypeList($EntId, $EntKey, $DMSId, $SoftWareID, $CodeLanguage, $ProviderName) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
